QwtSetSeriesData Class Reference

Interface for iterating over an array of samples. More...

`#include <qwt_series_data.h>`

Inheritance diagram for QwtSetSeriesData:

## Public Member Functions

| QwtSetSeriesData (const QVector< QwtSetSample > &=QVector< QwtSetSample >())
virtual QRectF | boundingRect () const override
| Calculate the bounding rectangle. More...
Public Member Functions inherited from QwtArraySeriesData< QwtSetSample >
| QwtArraySeriesData ()
| Constructor.
| QwtArraySeriesData (const QVector< QwtSetSample > &samples)
void | setSamples (const QVector< QwtSetSample > &samples)
const QVector< QwtSetSample > | samples () const
virtual size_t | size () const override
virtual QwtSetSample | sample (size_t index) const override
Public Member Functions inherited from QwtSeriesData< T >
| QwtSeriesData ()
| Constructor.
virtual | ~QwtSeriesData ()
| Destructor.
virtual void | setRectOfInterest (const QRectF &rect)

## Additional Inherited Members

Protected Attributes inherited from QwtArraySeriesData< QwtSetSample >
QVector< QwtSetSample > | m_samples
| Vector of samples.
Protected Attributes inherited from QwtSeriesData< T >
QRectF | cachedBoundingRect
| Can be used to cache a calculated bounding rectangle.

## Detailed Description

Interface for iterating over an array of samples.

Definition at line 239 of file qwt_series_data.h.

## Constructor & Destructor Documentation

## QwtSetSeriesData()

QwtSetSeriesData::QwtSetSeriesData | ( | const QVector< QwtSetSample > & | samples = `QVector< QwtSetSample >( )` | ) |

Constructor

Parameters

  samples | Samples

Definition at line 353 of file qwt_series_data.cpp.

## Member Function Documentation

## boundingRect()

QRectF QwtSetSeriesData::boundingRect | ( |  | ) | const

override virtual

Calculate the bounding rectangle.

The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns
  Bounding rectangle

Implements QwtSeriesData< T >.

Definition at line 366 of file qwt_series_data.cpp.